-# $Id: Makefile,v 1.518 2018/02/27 11:16:23 schwarze Exp $
+# $Id: Makefile,v 1.519 2018/07/31 15:34:00 schwarze Exp $
#
# Copyright (c) 2010, 2011, 2012 Kristaps Dzonsons <kristaps@bsd.lv>
-# Copyright (c) 2011, 2013-2017 Ingo Schwarze <schwarze@openbsd.org>
+# Copyright (c) 2011, 2013-2018 Ingo Schwarze <schwarze@openbsd.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-VERSION = 1.14.3
+VERSION = 1.14.4
# === LIST OF FILES ====================================================
test-isblank.c \
test-mkdtemp.c \
test-nanosleep.c \
+ test-noop.c \
test-ntohl.c \
test-O_DIRECTORY.c \
test-ohash.c \
! -path regress/regress.pl \
! -path regress/regress.pl.1
-dist: mandoc.sha256
+dist: mandoc-$(VERSION).sha256
-mandoc.sha256: mandoc.tar.gz
- sha256 mandoc.tar.gz > $@
+mandoc-$(VERSION).sha256: mandoc-$(VERSION).tar.gz
+ sha256 mandoc-$(VERSION).tar.gz > $@
-mandoc.tar.gz: $(DISTFILES)
+mandoc-$(VERSION).tar.gz: $(DISTFILES)
ls regress/*/*/*.mandoc_* && exit 1 || true
mkdir -p .dist/mandoc-$(VERSION)/
$(INSTALL) -m 0644 $(DISTFILES) .dist/mandoc-$(VERSION)
#!/bin/sh
#
-# $Id: configure,v 1.65 2018/02/27 11:16:23 schwarze Exp $
+# $Id: configure,v 1.66 2018/07/31 15:34:00 schwarze Exp $
#
-# Copyright (c) 2014, 2015, 2016, 2017 Ingo Schwarze <schwarze@openbsd.org>
+# Copyright (c) 2014,2015,2016,2017,2018 Ingo Schwarze <schwarze@openbsd.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# 3: config.log
exec 3> config.log
-echo "config.log: writing..."
+echo "file config.log: writing..."
# --- default settings -------------------------------------------------
# Initialize all variables here,
UTF8_LOCALE=
CC=`printf "all:\\n\\t@echo \\\$(CC)\\n" | env -i make -sf -`
-CFLAGS="-g -W -Wall -Wmissing-prototypes -Wstrict-prototypes -Wwrite-strings"
-CFLAGS="${CFLAGS} -Wno-unused-parameter"
+CFLAGS=
LDADD=
LDFLAGS=
LD_NANOSLEEP=
LD_OHASH=
LD_RECVMSG=
-STATIC="-static"
+STATIC=
BUILD_CGI=0
BUILD_CATMAN=0
# --- manual settings from configure.local -----------------------------
if [ -r ./configure.local ]; then
- echo "configure.local: reading..." 1>&2
- echo "configure.local: reading..." 1>&3
+ echo "file configure.local: reading..." 1>&2
+ echo "file configure.local: reading..." 1>&3
cat ./configure.local 1>&3
. ./configure.local
else
- echo "configure.local: no (fully automatic configuration)" 1>&2
- echo "configure.local: no (fully automatic configuration)" 1>&3
+ echo "file configure.local: no (fully automatic configuration)" 1>&2
+ echo "file configure.local: no (fully automatic configuration)" 1>&3
fi
echo 1>&3
-# --- tests for config.h ----------------------------------------------
-
-COMP="${CC} ${CFLAGS} -Wno-unused -Werror"
+# --- tests functions --------------------------------------------------
# Check whether this HAVE_ setting is manually overridden.
# If yes, use the override, if no, do not decide anything yet.
-# Arguments: lower-case test name, manual value
+# Arguments: test file name, test var name, manual value
ismanual() {
[ -z "${3}" ] && return 1
- echo "${1}: manual (HAVE_${2}=${3})" 1>&2
- echo "${1}: manual (HAVE_${2}=${3})" 1>&3
+ echo "tested ${1}: HAVE_${2}=${3} (manual)" 1>&2
+ echo "tested ${1}: HAVE_${2}=${3} (manual)" 1>&3
echo 1>&3
return 0
}
# Run a single autoconfiguration test.
# In case of success, enable the feature.
# In case of failure, do not decide anything yet.
-# Arguments: lower-case test name, upper-case test name, additional CFLAGS
+# Arguments: test file name, test var name, additional CFLAGS
singletest() {
cat 1>&3 << __HEREDOC__
-${1}${3}: testing...
+testing ${1}${3} ...
${COMP} -o test-${1} test-${1}.c ${3}
__HEREDOC__
if ${COMP} -o "test-${1}" "${SOURCEDIR}/test-${1}.c" ${3} 1>&3 2>&3
then
- echo "${1}${3}: ${CC} succeeded" 1>&3
+ echo "partial result of ${1}${3}: ${CC} succeeded" 1>&3
else
- echo "${1}${3}: ${CC} failed with $?" 1>&3
+ echo "result of ${1}${3}: ${CC} failed with exit status $?" 1>&3
+ echo "result of compiling ${1}${3}: no" 1>&3
echo 1>&3
return 1
fi
if ./test-${1} 1>&3 2>&3; then
- echo "${1}${3}: yes" 1>&2
- echo "${1}${3}: yes" 1>&3
+ echo "tested ${1}${3}: yes" 1>&2
+ echo "result of running ${1}${3}: yes" 1>&3
echo 1>&3
eval HAVE_${2}=1
rm "test-${1}"
return 0
else
- echo "${1}${3}: execution failed with $?" 1>&3
+ echo "result of ${1}${3}: execution failed with exit status $?" 1>&3
+ echo "result of running ${1}${3}: no" 1>&3
echo 1>&3
rm "test-${1}"
return 1
# Run a complete autoconfiguration test, including the check for
# a manual override and disabling the feature on failure.
-# Arguments: lower case name, upper case name, additional CFLAGS
+# Arguments: test file name, test var name, additional CFLAGS
runtest() {
eval _manual=\${HAVE_${2}}
ismanual "${1}" "${2}" "${_manual}" && return 0
singletest "${1}" "${2}" "${3}" && return 0
- echo "${1}${3}: no" 1>&2
+ echo "tested ${1}${3}: no" 1>&2
eval HAVE_${2}=0
return 1
}
get_locale() {
[ -n "${HAVE_WCHAR}" ] && [ "${HAVE_WCHAR}" -eq 0 ] && return 0
ismanual UTF8_LOCALE UTF8_LOCALE "$UTF8_LOCALE" && return 0
- echo "UTF8_LOCALE: testing..." 1>&3
+ echo "testing UTF8_LOCALE ..." 1>&3
UTF8_LOCALE=`locale -a | grep -i '^en_US\.UTF-*8$' | head -n 1`
if [ -z "${UTF8_LOCALE}" ]; then
UTF8_LOCALE=`locale -a | grep -i '\.UTF-*8' | head -n 1`
[ -n "${UTF8_LOCALE}" ] || return 1
fi
- echo "UTF8_LOCALE=${UTF8_LOCALE}" 1>&2
- echo "UTF8_LOCALE=${UTF8_LOCALE}" 1>&3
+ echo "selected UTF8_LOCALE=${UTF8_LOCALE}" 1>&2
+ echo "selected UTF8_LOCALE=${UTF8_LOCALE}" 1>&3
echo 1>&3
return 0;
}
+# --- compiler options -------------------------------------------------
+
+if [ -n "${CFLAGS}" ]; then
+ COMP="${CC} ${CFLAGS}"
+ echo "selected CFLAGS=\"${CFLAGS}\" (manual)" 1>&2
+ echo "selected CFLAGS=\"${CFLAGS}\" (manual)" 1>&3
+ echo 1>&3
+else
+ CFLAGS="-g -W -Wall -Wmissing-prototypes -Wstrict-prototypes"
+ CFLAGS="${CFLAGS} -Wwrite-strings -Wno-unused-parameter"
+ COMP="${CC} ${CFLAGS} -Wno-unused -Werror"
+ echo -n "tested ${CC} -W: " 1>&2
+ echo -n "testing ${CC} -W: " 1>&3
+ runtest noop WFLAG || true
+ if [ "${HAVE_WFLAG}" -eq 0 ]; then
+ CFLAGS="-g"
+ COMP="${CC} ${CFLAGS}"
+ fi
+ echo "selected CFLAGS=\"${CFLAGS}\"" 1>&2
+ echo "selected CFLAGS=\"${CFLAGS}\"" 1>&3
+ echo 1>&3
+fi
+
+if [ -n "${STATIC}" ]; then
+ echo "selected STATIC=\"${STATIC}\" (manual)" 1>&2
+ echo "selected STATIC=\"${STATIC}\" (manual)" 1>&3
+ echo 1>&3
+else
+ runtest noop STATIC -static || true
+ [ ${HAVE_STATIC} -eq 0 ] || STATIC="-static"
+ echo "selected STATIC=\"${STATIC}\"" 1>&2
+ echo "selected STATIC=\"${STATIC}\"" 1>&3
+ echo 1>&3
+fi
+
+# --- tests for config.h ----------------------------------------------
# --- library functions ---
runtest dirent-namlen DIRENT_NAMLEN || true
runtest wchar WCHAR -DUTF8_LOCALE=\"${UTF8_LOCALE}\" || true
else
HAVE_WCHAR=0
- echo "wchar: no (no UTF8_LOCALE)" 1>&2
- echo "wchar: no (no UTF8_LOCALE)" 1>&3
+ echo "tested wchar: no (no UTF8_LOCALE)" 1>&2
+ echo "tested wchar: no (no UTF8_LOCALE)" 1>&3
+ echo 1>&3
fi
# --- nanosleep ---
# --- LDADD ---
LDADD="${LDADD} ${LD_NANOSLEEP} ${LD_RECVMSG} ${LD_OHASH} -lz"
-echo "LDADD=\"${LDADD}\"" 1>&2
-echo "LDADD=\"${LDADD}\"" 1>&3
+echo "selected LDADD=\"${LDADD}\"" 1>&2
+echo "selected LDADD=\"${LDADD}\"" 1>&3
echo 1>&3
# --- write config.h ---
[ ${HAVE_VASPRINTF} -eq 0 ] && \
echo "extern int vasprintf(char **, const char *, va_list);"
-echo "config.h: written" 1>&2
-echo "config.h: written" 1>&3
+echo "file config.h: written" 1>&2
+echo "file config.h: written" 1>&3
# --- tests for Makefile.local -----------------------------------------
LN = ${LN}
__HEREDOC__
-echo "Makefile.local: written" 1>&2
-echo "Makefile.local: written" 1>&3
+echo "file Makefile.local: written" 1>&2
+echo "file Makefile.local: written" 1>&3
exit 0
-# $Id: configure.local.example,v 1.33 2017/07/20 16:24:53 schwarze Exp $
+# $Id: configure.local.example,v 1.34 2018/07/31 15:34:00 schwarze Exp $
#
-# Copyright (c) 2014, 2015, 2016, 2017 Ingo Schwarze <schwarze@openbsd.org>
+# Copyright (c) 2014,2015,2016,2017,2018 Ingo Schwarze <schwarze@openbsd.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# If you do not want uname(3) to be called but instead want a fixed
# string to be used, use the following line:
-OSNAME="OpenBSD 6.0"
+OSNAME="OpenBSD 6.3"
# The following installation directories are used.
# It is possible to set only one or a few of these variables,
# Some distributions may want to avoid naming conflicts
# with the configuration files of other man(1) implementations.
# This changes the name of the installed section 5 manual page as well.
+
MANM_MANCONF="mandoc.conf" # default is "man.conf"
# Some distributions may want to avoid naming conflicts among manuals.
LD_OHASH="-lutil"
-# When library autodetection decides to use -L/usr/local/lib,
-# -I/usr/local/include is automatically added to CFLAGS.
-# If you manually set LD_OHASH to something including -L/usr/local/lib,
-# chances are you will also need the following line:
-
-CFLAGS="${CFLAGS} -I/usr/local/include"
-
# Some platforms may need an additional linker flag for nanosleep(2).
# If none is needed or it is -lrt, it is autodetected.
# Otherwise, set the following variable.
# The remaining settings in this section are only relevant if BUILD_CGI
# is enabled. Otherwise, they have no effect either way.
-# By default, man.cgi(8) is linked statically.
-# Some systems do not support static linking, for example Mac OS X.
-# In that case, use the following line:
+# By default, man.cgi(8) is linked statically if the compiler supports
+# the -static option. If automatic detection fails, you can force
+# static linking of man.cgi(8).
-STATIC=
+STATIC="-static"
-# Some systems, for example Linux, require -pthread for static linking:
+# Some systems may require -pthread for static linking:
STATIC="-static -pthread"
+# If static linking works in general but not with additional libraries
+# like -lrt or -lz, you can force dynamic linking. This may for
+# example be required on SunOS 5.9.
+
+STATIC=" "
+
# Some directories.
# This works just like PREFIX, see above.
CC=cc
-# IBM AIX may need:
+# Because the system compiler may not provide <stdint.h>,
+# SunOS 5.9 may need:
-CC=xlc
+CC=gcc
-# The default compiler flags are:
+# IBM AIX may need:
-CFLAGS="-g -W -Wall -Wstrict-prototypes -Wno-unused-parameter -Wwrite-strings"
+CC=xlc
-# IBM AIX xlc does not support -W; in that case, please use:
+# Normally, leave CFLAGS unset. In that case, -g will automatically
+# be used, and various -W options will be added if the compiler
+# supports them. If you define CFLAGS manually, it will be used
+# unchanged, and nothing will be added.
CFLAGS="-g"